Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000011Zandronum[All Projects] Suggestionpublic2010-09-08 21:242010-09-10 06:37
ReporterXutaWoo 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutiondenied 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version98c 
Target VersionFixed in Version 
Summary0000011: Remove skin size limit for base skins.
DescriptionAs stated here (http://www.skulltag.com/forum/viewtopic.php?f=33&t=26141), the current skin size limit prevents 32x32 sprites from being uses for a 32x32 player.

Now, while that's definantly odd, something else hit me.

Why are the base skins limited in size?
So now I'm suggesting that the base skin of a player is ignored by the skin checker; if it's way too large or too small, then that's the modder's decision and might just plain be intentional.
Attached Files

- Relationships

-  Notes
User avatar (0000011)
Torr Samaho (administrator)
2010-09-09 19:44

Unfortunately, it's crucial to enforce this limit. Before I implemented it some people added huge spikes to their local player sprites making players much more visible and for instance also spot-able behind obstacles. But the size limit only prevents you from using sprites that are considerably higher / wider than the player height / width and I don't see any reason why you would want to do this.

In particular, the check itself allows small player classes to be used with correspondingly small sprites. The problem you encounter here is a bug of the check: Your wad doesn't replace Doom2's PLAYB1 lump, that's why the check thinks that you are using a sprite of height 56 with a player class of height 32. What the check doesn't take into account is that Doom2's PLAYB1 lump is never used when your wad is loaded because it has a PLAYA1B1 lump. So, the check needs to be fixed (this is why your bug report is still open) but needs to stay. Till the check is fixed, you can workaround the problem be replacing all of Doom2's PLAY* lumps.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2010-09-08 21:24 XutaWoo New Issue
2010-09-09 19:44 Torr Samaho Note Added: 0000011
2010-09-09 19:47 Torr Samaho Status new => closed
2010-09-09 19:47 Torr Samaho Assigned To => Torr Samaho
2010-09-09 19:48 Torr Samaho Assigned To Torr Samaho =>
2010-09-10 06:37 Torr Samaho Resolution open => denied






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker